Subject: Re: [next-queue PATCH v1] igb: Fix limiting the number of queues to number of cpus

From: Vinicius Costa Gomes <[email-masked]>
Date: Thu, 04 Apr 2019 18:32:16 -0700

Hi Jeff,

Jeff Kirsher <[email-masked]> writes:

> A module parameter maybe fine for our out-of-tree driver, but not for the
> kernel driver.
>
> NACK on the basis that a new module parameter is being introduced for the
> driver.  This is not acceptable by Dave Miller or myself.  As of now, I do
> not have a alternative solution to propose unfortunately.

I understand completely. This patch already served its purpose :-)

>
> I will discuss the issue with my fellow developers and hopefully we can
> come up with a kernel interface that all drivers can use to handle this
> issue.

Thank you.

If it helps, the only other alternative I can think of is a sysctl knob,
something like:

net.core.netdev_max_num_queues

And the default value would be the number of cpus.

Cheers,
--
Vinicius